be.fgov.ehealth.genericinsurability.core.v1

## Class MessageFaultType

- java.lang.Object
- - be.fgov.ehealth.genericinsurability.core.v1.MessageFaultType

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2026-02-09T10:44:46+01:00",
                 comments="JAXB RI v2.3.7")
      public class MessageFaultType
      extends Object
      implements Serializable

  Java class for MessageFaultType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="MessageFaultType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="FaultCode" type="{urn:be:fgov:ehealth:genericinsurability:core:v1}FaultCodeType"/>
               <element name="FaultSource" type="{http://www.w3.org/2001/XMLSchema}string"/>
               <element name="MultiIO" type="{urn:be:fgov:ehealth:genericinsurability:core:v1}MultiIOType" minOccurs="0"/>
               <element name="Message" type="{urn:be:fgov:ehealth:genericinsurability:core:v1}MessageType"/>
               <element name="Details" type="{urn:be:fgov:ehealth:genericinsurability:core:v1}DetailsType"/>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MessageFaultType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `DetailsType` | `getDetails()` Gets the value of the details property.
    `FaultCodeType` | `getFaultCode()` Gets the value of the faultCode property.
    `String` | `getFaultSource()` Gets the value of the faultSource property.
    `MessageType` | `getMessage()` Gets the value of the message property.
    `MultiIOType` | `getMultiIO()` Gets the value of the multiIO property.
    `void` | `setDetails(DetailsType value)` Sets the value of the details property.
    `void` | `setFaultCode(FaultCodeType value)` Sets the value of the faultCode property.
    `void` | `setFaultSource(String value)` Sets the value of the faultSource property.
    `void` | `setMessage(MessageType value)` Sets the value of the message property.
    `void` | `setMultiIO(MultiIOType value)` Sets the value of the multiIO property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MessageFaultType

          public MessageFaultType()

  - ### Method Detail

    - #### getFaultCode

          public FaultCodeType getFaultCode()

      Gets the value of the faultCode property.
      Returns:
        possible object is `FaultCodeType`

    - #### setFaultCode

          public void setFaultCode(FaultCodeType value)

      Sets the value of the faultCode property.
      Parameters:
        `value` - allowed object is `FaultCodeType`

    - #### getFaultSource

          public String getFaultSource()

      Gets the value of the faultSource property.
      Returns:
        possible object is `String`

    - #### setFaultSource

          public void setFaultSource(String value)

      Sets the value of the faultSource property.
      Parameters:
        `value` - allowed object is `String`

    - #### getMultiIO

          public MultiIOType getMultiIO()

      Gets the value of the multiIO property.
      Returns:
        possible object is `MultiIOType`

    - #### setMultiIO

          public void setMultiIO(MultiIOType value)

      Sets the value of the multiIO property.
      Parameters:
        `value` - allowed object is `MultiIOType`

    - #### getMessage

          public MessageType getMessage()

      Gets the value of the message property.
      Returns:
        possible object is `MessageType`

    - #### setMessage

          public void setMessage(MessageType value)

      Sets the value of the message property.
      Parameters:
        `value` - allowed object is `MessageType`

    - #### getDetails

          public DetailsType getDetails()

      Gets the value of the details property.
      Returns:
        possible object is `DetailsType`

    - #### setDetails

          public void setDetails(DetailsType value)

      Sets the value of the details property.
      Parameters:
        `value` - allowed object is `DetailsType`

Connector Packaging PERSPRACTICALNURSE 4.8.5 API
Copyright © {inceptionYear}-2026 eHealth. All Rights Reserved.